<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 钱包退款记录
 */
class WalletRefundRecord extends Model
{
    use SoftDeletes;

    protected $table = 'wallet_refund_records';

    protected $guarded = [];

    /**
     * @Author FelixYin
     *
     * @description 退款记录所属钱包
     */
    public function wallet()
    {
        return $this->belongsTo('App\Models\Wallet', 'wallet_id');
    }

    /**
     * @Author FelixYin
     *
     * @description 退款记录所属交易
     */
    public function trans()
    {
        return $this->belongsTo('App\Models\WalletTransRecord', 'trans_record_id');
    }
}
